Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Predefined_Naming_Contexts Class Reference

A factory for predefined registries, which exist by default on Win32 platforms. More...

`#include <Registry.h>`

List of all members.

## Static Public Member Functions
int | connect (ACE_Registry::Naming_Context &naming_context, HKEY predefined=HKEY_LOCAL_MACHINE, const ACE_TCHAR *machine_name=0)
## Static Private Member Functions
int | is_local_host (const ACE_TCHAR *machine_name)
| Check if machine_name is the local host.

## Detailed Description

A factory for predefined registries, which exist by default on Win32 platforms.

This factory can connect to both local and remote predefined registries.

## Member Function Documentation

int ACE_Predefined_Naming_Contexts::connect | ( | ACE_Registry::Naming_Context & | naming_context,
|  | HKEY | predefined = `HKEY_LOCAL_MACHINE`,
|  | const ACE_TCHAR * | machine_name = `0`
| ) | `[static]`

| Factory method for connecting to predefined registries. This method works for both remote and local machines. However, for remote machines, HKEY_CLASSES_ROOT and HKEY_CURRENT_USER types are not allowed

int ACE_Predefined_Naming_Contexts::is_local_host | ( | const ACE_TCHAR * | machine_name | ) | `[static, private]`

| Check if machine_name is the local host.

The documentation for this class was generated from the following files:

- Registry.h
- Registry.cpp